Subject: Re: [PATCH 1/2] Change old system name 'GIT' to 'Git'

From: "Joachim Schmitz" <[email-masked]>
Date: Sun, 20 Jan 2013 19:53:03 +0100

Junio C Hamano wrote:
> David Aguilar <[email-masked]> writes:
>
>> On Sat, Jan 19, 2013 at 1:59 AM, Thomas Ackermann
>> <[email-masked]> wrote:
>>> @@ -55,7 +55,7 @@ History Viewers
>>>
>>>     - *gitweb* (shipped with git-core)
>>>
>>> -   GITweb provides full-fledged web interface for GIT repositories.
>>> +   GITweb provides full-fledged web interface for Git repositories.
>>
>> What about GITweb?
>>
>>> diff --git a/Documentation/git-update-ref.txt
>>> b/Documentation/git-update-ref.txt index d377a35..0df13ff 100644
>>> --- a/Documentation/git-update-ref.txt
>>> +++ b/Documentation/git-update-ref.txt
>>> @@ -73,7 +73,7 @@ in ref value.  Log lines are formatted as:
>>>  Where "oldsha1" is the 40 character hexadecimal value previously
>>>  stored in <ref>, "newsha1" is the 40 character hexadecimal value of
>>>  <newvalue> and "committer" is the committer's name, email address
>>> -and date in the standard GIT committer ident format.
>>> +and date in the standard Git committer ident format.
>>
>> IMO some of these look nicer when everything is lowercase.
>> e.g. "standard git committer ident format".
>
> I do not think we ever intended to change the *name* of the
> software.
>
> In the early days, we wrote GIT in places where, if we were doing a
> fancier typography, we would have used drop-caps for the latter two
> (i.e. it is "Git" spelled in a font whose lower case alphabets have
> the same shape as upper case ones but are smaller).  So there were
> only "git" vs "Git".
>
> If I were to decide today to change the spellings, with an explicit
> purpose of making things more consistent across documentation, it
> may make sense to use even a simpler rule that is less error-prone
> for people who write new sentences that has to have the word.  How
> about treating it just like any other ordinary word?  That is, we
> say "git" (without double-quotes, of course), unless it comes at the
> beginning of a sentence?

Because then it could get confused with "git", the command? That would be 
lower case even at the beginning of a sentence, wouldn't it?

Bye, Jojo